@import url('https://fonts.googleapis.com/css2?family=Life+Savers:wght@400;700;800&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');


body {
    font-family: "Poppins", sans-serif;
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    background-color: var(--background-color);
    color: var(--white);
}

:root {
    --body-bg: #F8FAFC;
    --background-color: #0f172a;
    --primary-color: #1E293B;
    --white: #ffffff;
    --heading-color: #FF8000;
    --label-color: #fff;
    /*--label-color: #D1D5DB;*/
    /* --tab-text: #64748B; */
}
/* custom-scroll */
::-webkit-scrollbar {
    width: 5px;
    right: 5px;
    height: 8px;
    position: absolute;
}

::-webkit-scrollbar-thumb {
    background: #FEF0FF;
    border-radius: 10px;
}

html {
    font-size: 17px;
}

a {
    color: var(--heading-color);
}

    a:hover {
        color: var(--heading-color);
    }
.input-group-text {
    padding: .74rem .75rem;
    border-radius: 8px 0 0 8px;
    background-color: #5e5e5e;
    border:0;
}
.form-control:disabled,
.form-control[readonly] {
    background-color: #5e5e5e;
    opacity: 1;
    pointer-events: none;
}

.form-control {
    padding: .69rem .75rem;
    border-radius: 8px;
    background-color: #0F172A;
    border: 1px solid var(--heading-color);
    color: var(--label-color);
}

label {
    color: var(--label-color);
    font-weight: 500;
}

.form-control:focus,
.form-check-input:focus {
    border-color: var(--heading-color);
    box-shadow: none;
    background-color: var(--background-color);
    color: var(--heading-color)
}

.form-check-input:checked {
    background-color: var(--heading-color);
    border-color: var(--heading-color);
}

/*Dashboard Css Start Here*/
/*Header Css Here*/
.secound-logo {
    width: 200px;
}

.headersec {
    display: flex;
    align-items: center;
    justify-content: space-between;
    background-color: var(--primary-color);
    padding: 15px;
    margin-left: 260px;
    position: sticky;
    top: 0;
    z-index: 9;
    transition: all 0.3s ease-in-out;
    /* border-bottom: 1px solid #E2E8F0; */
}

    .headersec .menuBtn {
        background: transparent;
        border: none;
        outline: none;
    }

    .headersec .rightPanelBoxhead {
        display: flex;
        align-items: center;
        gap: 10px;
    }

        .headersec .rightPanelBoxhead button {
            /* background: transparent; */
            border: none;
            outline: none;
            /* padding: 0px; */
            overflow: hidden;
        }

.profileDropdown ul {
    padding: 0px;
    overflow: hidden;
}

    .profileDropdown ul li {
        border-bottom: 1px solid #ddd;
    }

        .profileDropdown ul li:last-child {
            border: none;
        }

        .profileDropdown ul li a {
            display: flex;
            align-items: center;
            gap: 10px;
            padding: 7px 10px;
        }

            .profileDropdown ul li a span:first-child {
                width: 20px;
                text-align: center;
            }

.profileDropdown .dropdown-menu {
    background-color: var(--background-color);
}

.profileDropdown .dropdown-item:focus,
.profileDropdown .dropdown-item:hover {
    background-color: #232323
}

.profileDropdown .btn {
    color: var(--white);
}

.profileDropdown .dropdown-toggle {
    background-color: var(--background-color);
}


/*Sidebar Css Here*/
.closeAside {
    width: 35px;
    height: 35px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    border: 2px solid #363636;
    background-color: #363636;
    color: #fff;
    position: absolute;
    right: -15px;
    top: 25px;
    /* box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px; */
    display: none;
}

.sidebarsec {
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    width: 260px;
    background: var(--primary-color);
    /* box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.25); */
    transition: all 0.3s ease-in-out;
    z-index: 99;
    /* border-right: 1px solid #232323; */
}

    .sidebarsec > a.sitelogo {
        display: block;
        /*text-align: center;*/
        padding: 25px 10px;
        padding-bottom: 0;
    }

    .sidebarsec ul {
        list-style: none;
        padding: 30px 0px;
        margin: 0px;
        /*border-top: 1px solid #2c2929;
    border-bottom: 1px solid #2c2929;*/
    }

        .sidebarsec ul li {
            padding: 0 15px;
            margin-bottom: 10px;
        }

    .sidebarsec .chat-history-clear li {
        margin-bottom: 0;
    }

    .sidebarsec .sidenavlink {
        display: flex;
        justify-content: space-between;
        padding: 9px 15px;
        gap: 15px;
        text-decoration: none;
        font-size: 1rem;
        font-weight: 500;
        color: var(--label-color);
        border-radius: 5px;
        align-items: center;
    }

        .sidebarsec .sidenavlink svg {
            margin-right: 10px;
        }

    .sidebarsec .chat-history-clear .sidenavlink {
        padding: 7px 15px;
    }

    .sidebarsec .active-class {
        color: var(--white);
        background-color: var(--heading-color);
        font-weight: 500;
        font-size: 1.1rem;
    }

    .sidebarsec ul li a span {
        line-height: normal;
    }

   .active-class svg path {
    stroke: #fff;
    /*fill: var(--primary-color) !important;*/
}

    /* .sidenavlink svg path {
    fill: #fff;
} */

    .sidebarsec ul li a:hover span svg,
    .sidebarsec ul li a.sidenavlinkActive span svg,
    .sidebarsec ul li a:hover span svg path,
    .sidebarsec ul li a.sidenavlinkActive span svg path {
        stroke: #fff;
        opacity: 1;
    }

.dashboardBodySection {
    padding: 20px;
    margin-left: 260px;
    transition: all 0.3s ease-in-out;
}

.sectionHeading h2 {
    font-size: 1.4rem;
    font-weight: 600;
    color: var(--heading-color);
}


/*Dashboard Css End Here*/

/*Dashboard Sidebar Collapse Css Start Here*/

.dashboardSlide .headersec,
.dashboardSlide .dashboardBodySection {
    margin-left: 90px;
}

.dashboardSlide .sidebarsec {
    width: 90px;
}

    .dashboardSlide .sidebarsec > a.sitelogo {
        height: 85px;
        display: flex;
        align-items: center;
    }

        .dashboardSlide .sidebarsec > a.sitelogo img {
            width: 80px;
        }

    .dashboardSlide .sidebarsec ul li a span {
        display: none;
    }

    .dashboardSlide .sidebarsec ul li .sidebar-text span {
        display: none;
    }

    .dashboardSlide .sidebarsec .sidenavlink {
        padding: 5px;
    }
/*Dashboard Sidebar Collapse Css End Here*/
.chat-content-box {
    height: calc(100vh - 169px);
    overflow-y: scroll;
    overflow-x: hidden;
}

/* .profileDropdown .user-profile img {
    height: 45px;
    width: 45px;
    border-radius: 5px;
} */

.profileDropdown .user-profile {
    height: 30px;
    width: 30px;
    border-radius: 50%;
    line-height: 30px;
    background-color: var(--heading-color);
    color: var(--white);
}

.profileDropdown span {
    font-weight: 500;
    font-size: 0.9rem;
    color: var(--label-color);
}

.profileDropdown p {
    font-weight: 300;
    color: var(--label-color);
}

.profileDropdown .btn:focus,
.profileDropdown .btn:active:focus,
.profileDropdown .btn-link.nav-link:focus {
    box-shadow: none;
    border: 1px solid var(--heading-color);
}

.footer-sec {
    justify-content: center;
    padding: 10px 15px;
    font-size: 0.8rem;
    color: #9D9D9D;
}

.notification-bg {
    height: 45px;
    width: 45px;
    border-radius: 8px;
    background-color: var(--background-color);
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 20px;
    color: #9CA3AF;
    position: relative;
    cursor: pointer;
    margin-right: 25px;
}

.icon-button__badge {
    position: absolute;
    top: -5px;
    right: -5px;
    width: 20px;
    height: 20px;
    font-size: 14px;
    background: #EF4444;
    color: #ffffff;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
}

/* dashboard content-css */

.custom-tabs .nav-tabs {
    background-color: var(--primary-color);
    padding: 0 20px;
    border-bottom: 0;
    border-radius: 10px;
}

    .custom-tabs .nav-tabs .nav-link {
        padding: 15px 25px;
        color: var(--white);
        border: none;
        border-bottom: 2px solid transparent;
    }

        .custom-tabs .nav-tabs .nav-item.show .nav-link,
        .custom-tabs .nav-tabs .nav-link.active {
            background-color: #ff800026;
            border: none;
            border-bottom: 2px solid var(--heading-color);
        }

        .custom-tabs .nav-tabs .nav-link:focus,
        .custom-tabs .nav-tabs .nav-link:hover {
            border: navajowhite;
        }

.card-bg {
    border-radius: 15px;
    border: 1px solid #334155;
    background: #1b2535;
    padding: 24px;
}


/* table css */
.dashboard-table table {
    border-color: #334155;
}

.dashboard-table th,
.dashboard-table td {
    text-align: center !important;
}

.dashboard-table .custom-table-head {
    background-color: var(--background-color);
    color: #c5c5c5;
}

.dashboard-table table.table.table-striped.dataTable thead tr .action-remove .dt-column-order {
    display: none
}

.dashboard-table tbody td {
    color: var(--white);
}

.dashboard-table .custom-table-head th {
    font-weight: 500;
}

.dashboard-table .table > :not(caption) > * > * {
    padding: .8rem .5rem;
}

.dashboard-table .active > .page-link,
.page-link.active {
    background-color: var(--background-color);
    border-color: var(--background-color);
}

.dashboard-table table > tbody > tr:nth-child(odd) {
    background-color: transparent;
}

.dashboard-table table > tbody > tr:nth-child(even) {
    background-color: transparent;
}

.dashboard-table table.table.dataTable.table-striped > tbody > tr:nth-of-type(2n+1) > * {
    box-shadow: none;
}

.dashboard-table table.table.table-striped.dataTable thead tr th:first-child {
    border-radius: 10px 0 0 0;
}

.dashboard-table table.table.table-striped.dataTable thead tr th:last-child {
    border-radius: 0 10px 0 0;
}

.dashboard-table .dt-scroll .dt-scroll-body {
    /*overflow: hidden !important;*/
    border-bottom: 1px solid #334155;
}

/*.dashboard-table .table-striped > tbody > tr:nth-of-type(odd) > * {
    color: #fff;
}*/

.chart-heading {
    border-radius: 5px;
    background: #8B5CF6;
    display: flex;
    width: 32px;
    height: 32px;
    justify-content: center;
    align-items: center;
    margin-right: 10PX;
}

.Portfolio-text {
    position: absolute;
    right: 25px;
    top: 5px;
    width:250px;
}

    .Portfolio-text:last-child {
        padding-top: 10px;
        padding-bottom: 0;
        border-bottom: 0;
    }

    .Portfolio-text h6 {
        color: #ffffff;
        font-size: 14px;
        font-weight: 500;
    }

    .Portfolio-text h4 {
        color: #10B981;
        font-size: 25px;
        font-weight: 700;
    }
    .accountName {
        color: #10B981;
        font-size: 15px;
        font-weight: 700;
        margin-left:10px;
    }

    .Portfolio-text .mtd-text p:first-child {
        color: #10B981;
        font-size: 15px;
        font-weight: 600;
    }

    .Portfolio-text .mtd-text p:last-child {
        color: #10B981;
        font-size: 15px;
        font-weight: 600;
    }

.card-bg .apexcharts-xaxis text {
    fill: white;
}

.card-bg .apexcharts-yaxis text {
    fill: white;
}

.card-bg .apexcharts-toolbar {
    display: none;
}

/*26-12-25*/
.custom-accordion li.open i.fa-chevron-down {
    -webkit-transform: rotate(180deg);
    -ms-transform: rotate(180deg);
    -o-transform: rotate(180deg);
    transform: rotate(180deg);
}

.custom-accordion .submenu {
    display: none;
    padding: 0;
}

    .custom-accordion .submenu a {
        color: var(--label-color);
        text-decoration: none;
        padding-left: 30px;
    }

.Total-Distribution {
    background-color: #1E293B;
    border: 1px solid #334155;
    border-radius: 8px;
    padding: 15px;
    height: 95px;
    text-align: center;
}

    .Total-Distribution h6 {
        color: var(--label-color);
    }

.download-btn {
    background-color: var(--heading-color);
    padding: 8px 15px;
    color: var(--white);
}

    .download-btn:hover {
        background-color: var(--heading-color);
        color: var(--white);
    }

.overvieew-tab .nav-tabs {
    border: 0;
    border-radius: 0;
    padding: 0;
    border-bottom: 1px solid #334155;
}

.action-btn {
    display: flex;
}

    .action-btn .edit-icon {
        height: 35px;
        width: 35px;
        border-radius: 3px;
        border: 1px solid #0EA5E9;
        display: flex;
        justify-content: center;
        align-items: center;
        margin-right: 10px;
    }

    .action-btn .delete-icon {
        border: 1px solid #F83D35;
    }

.overview-table th,
.overview-table td {
    font-size: 14px;
}

.overview-table .custom-table-head {
    white-space: nowrap;
}

    .overview-table .custom-table-head .market-bg,
    .overview-table .custom-table-body .market-bg {
        background-color: orchid;
        color: black;
        border: 1px solid #b1b1b1;
    }

    .overview-table .custom-table-head .Disribution-bg,
    .overview-table .custom-table-body .Disribution-bg {
        background-color: steelblue;
        color: black;
        border: 1px solid #b1b1b1;
    }

    .overview-table .custom-table-head .NA-SDAQbg-bg,
    .overview-table .custom-table-body .NA-SDAQbg-bg {
        background-color: yellow;
        color: black;
        border: 1px solid #b1b1b1;
    }

    .overview-table .custom-table-head .S-P-bg,
    .overview-table .custom-table-body .S-P-bg {
        background-color: darkgray;
        color: black;
        border: 1px solid #b1b1b1;
    }


.btn-search {
    border: 1px solid var(--heading-color);
    color: var(--heading-color);
    padding: 8px 15px;
}

    .btn-search:hover {
        border: 1px solid var(--heading-color);
        color: var(--heading-color);
    }
/* 29-12-25 */

.header-dropdown .form-control {
    width: 200px;
    margin-right: 20px;
}

    .header-dropdown .form-control option {
        background-color: var(--primary-color);
    }

.current-outlook {
    border-radius: 12px;
    background: #10B981;
    padding: 10px;
}

input[type="date"]::-webkit-calendar-picker-indicator {
    filter: invert(1);
}

/*---------01-03-26-------------*/
.overview-table .custom-table-head .stock-cycle-obg,
.overview-table .custom-table-body .stock-cycle-obg {
    background-color: #fcba03;
    color: black;
}

.overview-table .custom-table-head .stock-cycle-ybg,
.overview-table .custom-table-body .stock-cycle-ybg {
    background-color: yellow;
    color: black;
}

.overview-table .custom-table-head .stock-cyclebg,
.overview-table .custom-table-body .stock-cyclebg {
    background-color: deepskyblue;
    color: black;
}

.overview-table .custom-table-head .stockcycle-bg
.overview-table .custom-table-body .stockcycle-bg {
    background-color: lightgreen;
    color: black;
}

.overview-table .custom-table-head .NASDAQ-bg,
.overview-table .custom-table-body .NASDAQ-bg {
    background-color: mediumpurple;
}

li.open .collapse.submenu {
    display: block;
}


/* 3-jan-2026 */

.notification-dropdown .btn-check:checked + .btn,
.notification-dropdown .btn.active, .btn.show,
.notification-dropdown .btn:first-child:active, :not(.btn-check) + .btn:active {
    color: var(--primary-color);
    background-color: var(--primary-color);
    border-color: var(--primary-color);
}

.notification-dropdown .btn:focus,
.notification-dropdown .btn:active:focus,
.notification-dropdown .btn-link.nav-link:focus {
    box-shadow:none;
}

.dropdown-menu .fa-circle-arrow-right {
    color: var(--heading-color);
    font-size: 20px;
}


.notification-dropdown .dropdown-item:focus,
.notification-dropdown .dropdown-item:hover {
    background-color: #232323;
}


.notification-dropdown .dropdown-toggle::after {
    border: none;
}

.notification-dropdown .dropdown-menu {
    background-color: var(--background-color);
}

.notification-dropdown ul li {
    border-bottom: 1px solid #ddd;
}

.notification-dropdown .dropdown-item span {
    color: var(--white);
}

/* modal csss */
.custom-modal .modal-header {
    background-color: var(--background-color);
    border-bottom: 1px solid #334155;
}

.custom-modal .modal-body {
    background-color: var(--background-color);
}

.custom-modal .modal-footer {
    background-color: var(--background-color);
    border-top: 1px solid #334155;
}

.custom-modal .btn-close {
    filter: invert(1);
}

.eye-icon {
    position: absolute;
    top: 45px;
    right: 15px;
}

/*accordion css*/

.accordion-button:focus {
   box-shadow: none;
}
.accordion-button {
    background-color: #0f172a !important;
    padding: 20px;
    color: var(--heading-color);
}
.accordion-button:not(.collapsed) {
    background-color: #0f172a;
    padding: 20px;
    color: var(--heading-color)
}
.accordion .accordion-item {
    border: 0
}
.accordion .accordion-body {
    background: #070b14;
}

.accordion-button:not(.collapsed)::after,
.accordion-button::after {
    filter: invert(1);
}
.accordion .card-header {
    background-color: var(--heading-color) !important;
}

.accordion .card {
    background: #1e293b;
}
.table-responsive table.table thead tr th {
    border-top: 1px solid #212529;
}

.dashboard-table .dt-length .dt-input option {
    background: #1E293B;
}
/* login-1 css start */
.login-bg {
    display: flex;
    align-items: center;
    height: 100vh;
    background-image: url(../images/login-bg.png), url(../images/left-shape.png);
    background-position: right bottom, left top;
    background-repeat: no-repeat, no-repeat;
}

.right-img img {
    width: 90%;
}

.sign-in-btn {
    background-color: var(--heading-color);
    color: var(--white);
    padding: 12px 15px;
    border-radius: 8px;
    font-size: 1.2rem;
    font-weight: 500;
}

    .sign-in-btn:hover {
        border: 1px solid var(--heading-color);
        color: var(--heading-color);
        background-color:transparent;
    }

.form-bg {
    background-color: var(--primary-color);
    padding: 70px 50px;
    max-width: 650px;
    width: 100%;
    border-radius: 0 10px 10px 0;
    display: flex;
    justify-content: center;
    align-items: center;
}

    .form-bg .email-icon,
    .card-bg .email-icon {
        padding: 1.0rem .75rem;
        position: absolute;
        right: 5px;
        top: 36%;
        color: #6c6c6c;
    }

.verification-input-field {
    max-width: 400px;
    margin: 0 auto;
}

.email-verification .form-control {
    width: 50px;
    height: 50px;
    border-radius: 4px;
    padding: 5px;
    text-align: center;
}

.form-bg .form-control{
    padding-right:45px
}

/* login-1 css end */

/*8-jan-206*/

.form-control.is-invalid,
.was-validated .form-control:invalid,
.form-control.is-valid, .was-validated .form-control:valid {
    background-image: none;
}

.form-bg .has-error .email-icon,
.card-bg .has-error .email-icon {
    top: 25%;
}
/*.ui-autocomplete {
    z-index: 1060
}*/

.custom-accordion .submenu li a{
    font-size:0.9rem;
}

.active-row-stockReportOfPersonTbl {
    background-color: #FF8000 !important;
}
.active-row-stockReportOfCorporateTbl {
    background-color: #FF8000 !important;
}
.active-row-stockReportOfIRATbl {
    background-color: #FF8000 !important;
}

.tv-widget-chart--with-border {
    border: none !important;
}
 